Package org.eclipse.lemminx.commons

## Interface ParentProcessWatcher.ProcessLanguageServer

All Superinterfaces:
  `org.eclipse.lsp4j.services.LanguageServer`

All Known Implementing Classes:
  `XMLLanguageServer`

Enclosing class:
  ParentProcessWatcher

    public static interface ParentProcessWatcher.ProcessLanguageServer
    extends org.eclipse.lsp4j.services.LanguageServer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `exit​(int exitCode)`
`long` `getParentProcessId()`

### Methods inherited from interface org.eclipse.lsp4j.services.LanguageServer

`cancelProgress, exit, getNotebookDocumentService, getTextDocumentService, getWorkspaceService, initialize, initialized, initialized, setTrace, shutdown`

### Method Detail

#### getParentProcessId

    long getParentProcessId()

#### exit

    void exit​(int exitCode)